% File to calculate Efficient Test

% File to calculate statistics for point forecasts

clear all
clc
format compact
load('ALLfct.mat')

modelNames = [{'RW'} {'RWdrift'} {'BAR'} {'BARfixed'} {'DBVAR'} {'LBVAR'} {'MBVAR'} {'KilianVAR'} {'KilianBVAR'} {'NPtrend'} {'NPntrend'} {'Pool'}];
varnames = [{'oil_obs'}];
vnm      = 'oil_obs';

M  = size(modelNames,2); % number of models
H  = 20;

ET      = NaN(M,H);

for m = 1:M
    eval(['y  = ALLfct{m}.', vnm ,';'])
    fct        = y.fct;      % forecasts
    act        = y.act;      % actuals
    T     = size(act,1);
        
    % correlation between forecast and actuals 
    for h = 1:H
        a    = act(:,h);             
        f    = fct(~isnan(a),h);  
        a    = a(~isnan(a));
        ET(m,h)  = corr(a,f);
    end
end
    
horiz = [1 2 4 6 8 12 16 20];
    
filename = ['stats'];
    
xlswrite(filename, {'Correlation'},           'cor', 'A1');
xlswrite(filename, horiz         ,           'cor', 'B1');
xlswrite(filename, modelNames'  ,            'cor', 'A2');
xlswrite(filename, ET(:,horiz)   ,           'cor', 'B2');

