close all
clear all
clc
format compact
load('ALLfct.mat')

modelNames = [{'RW'} {'RWdrift'} {'BAR'} {'AR-fixed'} {'DBVAR'} {'LBVAR'} {'MBVAR'} {'KVAR'} {'KBVAR'} {'DSGEt'} {'DSGE'} {'Pool'}];
varnames = [{'oil_obs'}];
mSet  = [5 8 10 11 12];
hSet  = [4 8 12 20];

M  = size(modelNames,2);      % number of models
% Adjust scale of axes (50 for H=24, 10 for H=1)
Smax = max([-min(ALLfct{1,1}.oil_obs.act(:,:)); max(ALLfct{1,1}.oil_obs.act(:,:))]) + 10;

n = 0;

figure1 = figure('Name','Efficiency Test for Real Exchange Rate', 'Color',[1 1 1]);

for mN = mSet % loop for models
    mName = modelNames{mN}; 
    for h= hSet % loop for models
        S = floor(Smax(h));
        
        n = n+1; % counter
        
        a  = ALLfct{1,mN}.oil_obs.act(:,h);
        f  = ALLfct{1,mN}.oil_obs.fct(:,h);
        f = f(~isnan(a));    
        a = a(~isnan(a)); 
            
        subplot1 = subplot(5,4,n,'Parent',figure1);
                      
        xticks = [-0.4 -0.2 0.00 0.2 0.4];
        yticks = [-0.4 -0.2 0.00 0.2 0.4];
        
        scatter(f,a,15,'c','MarkerFaceColor',[0.5 0.5 0.5], 'MarkerEdgeColor',[0.5 0.5 0.5],'LineWidth',0.5,'Parent', subplot1)
        hold on
        plot(-S:0.01:S,-S:0.01:S,'Color',[0 0 0],'LineWidth',1 )
        hold on
        plot(-S:S,zeros(2*S+1,1),':','Color',[0 0 0],'LineWidth',0.5)
        hold on
        plot(zeros(2*S+1,1),-S:S,':','Color',[0 0 0],'LineWidth',0.5)
        
        
        box('off')       
        
        xlim([-S S]); ylim([-S S]);
        
        if mN == 5; title([num2str(h),'-quater horizon']); end;
        if h  == 4; ylabel(mName); end
    end
end
        
        
        
     