% CHI SQUARE GOODNESS OF FIT TEST    
% http://www.itl.nist.gov/div898/software/dataplot/refman1/auxillar/chsqgood.htm

clear all
clc
format compact
load('ALLfct.mat')

modelNames = [{'RW'} {'RWdrift'} {'BAR'} {'AR-fixed'} {'DBVAR'} {'LBVAR'} {'MBVAR'} {'KVAR'} {'KBVAR'} {'DSGEt'} {'DSGE'} {'Pool'}];
varnames = [{'oil_obs'}];
vnm     = 'oil_obs';
mSet  = [1 5 8 10 11];
hSet  = [1 4 8 12];
n     = 0;

figure1 = figure('Color',[1 1 1]);
axes1 = axes('Parent',figure1,'XTickLabel',{'0-10','10-20','20-30','30-40','40-50','50-60','60-70','70-80','80-90','90-100'},...
             'XTick',[5 15 25 35 45 55 65 75 85 95]);
hold(axes1,'all');  
        
for mN = mSet % loop for models
    mName = modelNames{mN}; 
    for h= hSet % loop for models
        n = n+1; % counter
        eval(['y  = ALLfct{1,mN}.', vnm ,';'])
        pith  = y.pit(:,h); pith = pith(~isnan(pith));   % removing NaNs
        T           = length(pith);
        edges       = (0:11)/10;
        z           = histc(pith,edges); 
        z           = z(1:10)/T*100;    % in each bin there should be 10% of hits
        subplot1 = subplot(5,4,n,'Parent',figure1);
        hold(subplot1,'all');
        ylim([0 30])
        
        bar(5:10:95, z, 'FaceColor',[0.5 0.5 0.5],'BarWidth',0.6);
        hline = refline([0 10]);
        set(hline,'Color', [0 0 0], 'LineWidth',4);
        
        if mN == 1; title([num2str(h),'-quater horizon']); end;
        if h  == 1; ylabel(mName); end
     end
end


