% This is called by Dynare to compute the steady-state
% input:  [oo_.steady_state, oo_.exo_steady_state]
% output: [oo_.steady_state, check]

function [ys, check] = EOil4_steadystate(x,exog)

if numel(x)==45
   po = x(17);
   L11 = x(40);
else
   po = 1.45;
   L11 = 0;
end

options = optimset('Display','off');
solution = fsolve('EOil_do_SS', [po, L11],options,'zerofinder');

[ys, check] = EOil_do_SS(solution,'monopolist');

             
